Node.js で Windows8 未満を判定するスクリプト

nbeppu 50views 更新:2016年3月18日
"use strict";
var os = os = require('os');
var semver = require('semver');

function garanteeSemverFormat(version) {
    if (version.split('.').length === 2) {
        version += '.0';
    }
    return version;
}

exports.isLessThanWin8 = function () {
    return os.type() === 'Windows_NT' && semver.satisfies(garanteeSemverFormat(os.release()), '<6.2.9200');
}

ログイン / 新規登録してコメントする

このソースコードをストックして後で利用したり、作業に利用したソースコードをまとめることができます。

こちらもお役に立つかもしれません